Subject: Re: linux-next: manual merge of the staging tree with the staging.current tree

From: Andy Shevchenko <[email-masked]>
Date: Mon, 8 Apr 2019 13:01:21 +0300

On Mon, Apr 08, 2019 at 09:14:58AM +0100, Jonathan Cameron wrote:
> On Mon, 8 Apr 2019 13:02:12 +1000
> Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi all,
> > 
> > Today's linux-next merge of the staging tree got a conflict in:
> > 
> >   drivers/iio/industrialio-buffer.c
> > 
> > between commit:
> > 
> >   20ea39ef9f2f ("iio: Fix scan mask selection")
> > 
> > from the staging.current tree and commit:
> > 
> >   3862828a903d ("iio: buffer: Switch to bitmap_zalloc()")
> > 
> > from the staging tree.
> > 
> > I fixed it up (I just used the staging tree version) and can carry the
> > fix as necessary. This is now fixed as far as linux-next is concerned,
> > but any non trivial conflicts should be mentioned to your upstream
> > maintainer when your tree is submitted for merging.  You may also want
> > to consider cooperating with the maintainer of the conflicting tree to
> > minimise any particularly complex conflicts.
> > 
> Thanks Stephen,
> 
> That is the correct resolution.

I think it still misses the following fix:

diff --git a/drivers/iio/industrialio-buffer.c b/drivers/iio/industrialio-buffer.c
index 3c7e7380d1c3..9c2d0c97ed24 100644
--- a/drivers/iio/industrialio-buffer.c
+++ b/drivers/iio/industrialio-buffer.c
@@ -320,7 +320,7 @@ static int iio_scan_mask_set(struct iio_dev *indio_dev,
 	const unsigned long *mask;
 	unsigned long *trialmask;
 
-	trialmask = bitmap_alloc(indio_dev->masklength, GFP_KERNEL);
+	trialmask = bitmap_zalloc(indio_dev->masklength, GFP_KERNEL);
 	if (trialmask == NULL)
 		return -ENOMEM;
 	if (!indio_dev->masklength) {

-- 
With Best Regards,
Andy Shevchenko